﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FilterItemsLocalization
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {

            //Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("fr-FR");

            InitializeComponent();
            DataContext = ChartData.GenerateData(10);
        }
          

        private void XamDataGrid_RecordFilterDropDownPopulating(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterDropDownPopulatingEventArgs e)
        {
            foreach (var item in e.DropDownItems)
            {
                switch (item.DisplayText)
                {
                    case "January":
                        item.DisplayText = "Jan";
                        break;
                    case "February":
                        item.DisplayText = "Feb";
                        break;
                    case "March":
                        item.DisplayText = "Mar";
                        break;
                    case "April":
                        item.DisplayText = "Apr";
                        break;
                    case "May":
                        item.DisplayText = "May";
                        break;
                    case "June":
                        item.DisplayText = "Jun";
                        break;
                    case "July":
                        item.DisplayText = "Jul";
                        break;
                    case "August":
                        item.DisplayText = "Aug";
                        break;
                    case "September":
                        item.DisplayText = "Sep";
                        break;
                    case "October":
                        item.DisplayText = "Oct";
                        break;
                    case "November":
                        item.DisplayText = "Nov";
                        break;
                    case "December":
                        item.DisplayText = "Dec";
                        break;
                    default:
                        break;
                }
            }
        }
    }

    
    public class ChartData
    {
        public DateTime Date { get; set; }
        public int Index { get; set; }
        public double Value1 { get; set; }
        public double Value2 { get; set; }
        public double Value3 { get; set; }

        public static ObservableCollection<ChartData> GenerateData(int count)
        {
            ObservableCollection<ChartData> data = new ObservableCollection<ChartData>();

            Random r = new Random();

            ChartData data0 = new ChartData
            {
                Date = DateTime.Now,
                Index = 0,
                Value1 = r.Next(20, 40),
                Value2 = r.Next(20, 40),
                Value3 = r.Next(20, 40),
            };

            data.Add(data0);

            for (int i = 1; i < count; i++)
            {
                ChartData dat = new ChartData
                {
                    Date = DateTime.Now.AddDays(i),
                    Index = i,
                };

                if (r.NextDouble() > .5)
                {
                    dat.Value1 = data[i - 1].Value1 + r.NextDouble();
                    dat.Value2 = data[i - 1].Value2 + r.NextDouble();
                    dat.Value3 = data[i - 1].Value3 + r.NextDouble();
                }
                else
                {
                    dat.Value1 = data[i - 1].Value1 - r.NextDouble();
                    dat.Value2 = data[i - 1].Value2 - r.NextDouble();
                    dat.Value3 = data[i - 1].Value3 - r.NextDouble();
                }

                data.Add(dat);
            }

            return data;
        }
    }
				
}
